> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vibetoken.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 模型 API

> 列出并查询可用模型及其定价。

## 列出模型

```
GET https://vibetoken.cn/api/v1/models
```

### 查询参数

<ParamField query="task" type="string[]">
  按模态过滤。重复该参数以实现 OR 逻辑。可选值：`video`、`image`、`audio`、`chat`。
</ParamField>

<ParamField query="provider" type="string[]">
  按 provider（真实厂商）过滤。重复该参数以实现 OR 逻辑。可选值：`Google`、`ByteDance`、`Kuaishou`、`Alibaba`、`Black Forest Labs`、`Ideogram`、`OpenAI`、`Midjourney`、`xAI`、`Runway`、`MiniMax`、`Suno`、`ElevenLabs`、`Recraft`、`Topaz`、`Luma`、`Anthropic`、`Infinitalk`。
</ParamField>

<ParamField query="search" type="string">
  在模型名称和描述中进行全文搜索。
</ParamField>

<ParamField query="page" type="number">
  页码（从 1 开始）。默认值：`1`。
</ParamField>

<ParamField query="per_page" type="number">
  每页结果数。默认值：`20`。
</ParamField>

### 响应

```json theme={null}
{
  "data": [
    {
      "id": "video_generate.kling_2_6",
      "name": "Kuaishou / kling/2.6-text-to-video",
      "provider": "Kuaishou",
      "modality": "video",
      "description": "Kuaishou Kling 2 6 (video generate).",
      "tags": ["video", "generation", "text-to-video"],
      "is_popular": false,
      "is_active": true,
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-01-01T00:00:00Z"
    }
  ],
  "page": 1,
  "per_page": 20,
  "total": 23,
  "total_pages": 2
}
```

### 示例

```bash theme={null}
# List all video models
curl "https://vibetoken.cn/api/v1/models?task=video" \
  -H "Authorization: Bearer sk-rb-xxxxxxxxxxxx"

# Search for Kling models
curl "https://vibetoken.cn/api/v1/models?search=kling" \
  -H "Authorization: Bearer sk-rb-xxxxxxxxxxxx"
```

***

## 获取模型详情

```
GET https://vibetoken.cn/api/v1/models/{model_id}
```

返回单个模型的元数据。

```bash theme={null}
curl https://vibetoken.cn/api/v1/models/video_generate.kling_2_6 \
  -H "Authorization: Bearer sk-rb-xxxxxxxxxxxx"
```

***

## 获取热门模型

```
GET https://vibetoken.cn/api/v1/models/popular
```

返回一份精选的推荐模型列表。

***

## 获取模型定价

```
GET https://vibetoken.cn/api/v1/models/{model_id}/pricing
```

返回指定模型的定价详情。

***

## 列出全部定价

```
GET https://vibetoken.cn/api/v1/pricing
```

一次调用即返回所有活跃模型的定价。
